低危 BusyBox OPTION_6RD Parsing堆缓冲区溢出漏洞

CVE编号

CVE-2016-2148

利用情况

暂无

补丁情况

官方补丁

披露时间

2017-02-10 04:59:00
漏洞描述
BusyBox是乌克兰软件开发者丹尼斯-弗拉先科(Denis Vlasenko)所负责维护的一套包含了多个linux命令和工具的应用程序。

BusyBox 1.24.1版本中存在堆缓冲区溢出漏洞,该漏洞源于程序解析IPv6 Rapid Deployment DHCP选项时udhcpc中存在错误。攻击者可通过诱使用户连接恶意的DHCP服务器利用该漏洞执行任意代码。
解决建议
目前厂商已经发布了升级补丁以修复此安全问题,补丁获取链接:
https://git.busybox.net/busybox/commit/?id=352f79
受影响软件情况
# 类型 厂商 产品 版本 影响面
1
运行在以下环境
应用 busybox busybox * Up to
(including)
1.24.2
运行在以下环境
系统 alpine_3.4 busybox * Up to
(excluding)
1.24.2-r0
运行在以下环境
系统 debian_8 busybox * Up to
(excluding)
1:1.22.0-9+deb8u2
运行在以下环境
系统 debian_9 busybox * Up to
(excluding)
1:1.22.0-19+deb9u1
运行在以下环境
系统 ubuntu_14.04 busybox * Up to
(excluding)
1:1.21.0-1ubuntu1.4
运行在以下环境
系统 ubuntu_16.04 busybox * Up to
(excluding)
1:1.22.0-15ubuntu1.4
阿里云评分
3.1
  • 攻击路径
    远程
  • 攻击复杂度
    复杂
  • 权限要求
    无需权限
  • 影响范围
    有限影响
  • EXP成熟度
    未验证
  • 补丁情况
    官方补丁
  • 数据保密性
    无影响
  • 数据完整性
    无影响
  • 服务器危害
    无影响
  • 全网数量
    100
CWE-ID 漏洞类型
CWE-119 内存缓冲区边界内操作的限制不恰当
阿里云安全产品覆盖情况